Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.amazonaws.services.s3.model
Enum GroupGrantee

    java.lang.Object
      java.lang.Enum<GroupGrantee>
          com.amazonaws.services.s3.model.GroupGrantee

All Implemented Interfaces:
  Grantee, Serializable, Comparable<GroupGrantee>

    public enum GroupGrantee

extends Enum<GroupGrantee>
implements Grantee

Represents a group of Amazon S3 users who can be granted permissions to Amazon S3 buckets and objects. This enum contains all the valid Amazon S3 group grantees.

Enum Constant Summary
`AllUsers` Grants anonymous access to any Amazon S3 object or bucket.
`AuthenticatedUsers` Grants access to buckets or objects to anyone with an Amazon AWS account.
`LogDelivery` Grants access to Amazon S3 log delivery so that an S3 bucket can receive server access logs.

Method Summary
`String` | `getIdentifier()` Returns the group grantee's URI.
`static GroupGrantee` | `parseGroupGrantee(String groupUri)` Returns the GroupGrantee with the specified Amazon S3 group URI (eg http://acs.amazonaws.com/groups/global/AllUsers) or null if an invalid Amazon S3 group URI is specified.
`void` | `setIdentifier(String id)` Unsupported operation.
`String` | `toString()`
`static GroupGrantee` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GroupGrantee[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AllUsers

    public static final GroupGrantee AllUsers

  Grants anonymous access to any Amazon S3 object or bucket. Any user will be able to access the object by omitting the AWS Key ID and Signature from a request.

  We highly recommend that you do not grant the AllUsers group write access to your buckets as you will have no control over the objects others can store and their associated charges.

### AuthenticatedUsers

    public static final GroupGrantee AuthenticatedUsers

  Grants access to buckets or objects to anyone with an Amazon AWS account. Although this is inherently insecure as any AWS user who is aware of the bucket or object will be able to access it, you might find this authentication method useful.

### LogDelivery

    public static final GroupGrantee LogDelivery

  Grants access to Amazon S3 log delivery so that an S3 bucket can receive server access logs. Turning on server access logging for an Amazon S3 bucket requires that the bucket receiving the logs is granted permission for the log delivery group to deliver logs.

Method Detail

### values

    public static GroupGrantee[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GroupGrantee c : GroupGrantee.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GroupGrantee valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getIdentifier

    public String getIdentifier()

  Returns the group grantee's URI.

  Specified by:
    `getIdentifier` in interface `Grantee`
  Returns:
    The identifier for this grantee.

### setIdentifier

    public void setIdentifier(String id)

  Unsupported operation. Group grantees have preset identifiers that cannot be modified.

  Specified by:
    `setIdentifier` in interface `Grantee`
  Parameters:
    `id` - The identifier for this grantee.

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<GroupGrantee>`
  See Also:
    `Enum.toString()`

### parseGroupGrantee

    public static GroupGrantee parseGroupGrantee(String groupUri)

  Returns the GroupGrantee with the specified Amazon S3 group URI (eg http://acs.amazonaws.com/groups/global/AllUsers) or null if an invalid Amazon S3 group URI is specified.

  Parameters:
    `groupUri` - a string representation of an Amazon S3 group URI, eg `http://acs.amazonaws.com/groups/global/AllUsers`
  Returns:
    the GroupGrantee object represented by the given Amazon S3 group URI string, or null if the string isn't a valid Amazon S3 group URI.

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.